import { Genome, ISpecimen } from '../../index';
import { ISumOptions } from './sum-gen-options';
export declare class SumSpecimen implements ISpecimen<ISumOptions, number[]> {
    genotype: Genome<ISumOptions>;
    age: number;
    phenotype: number[];
    constructor(genotype: Genome<ISumOptions>, age?: number);
    ageSpecimen(n: number): SumSpecimen;
    createPhenotype(genotype: Genome<ISumOptions>): number[];
}
